Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.javax.xml.xquery
Interface XQSequence

All Superinterfaces:
  XQItemAccessor

All Known Subinterfaces:
  XQResultSequence

All Known Implementing Classes:
  SaxonXQForwardSequence, SaxonXQSequence

    public interface XQSequence

extends XQItemAccessor

XQJ interfaces reconstructed from version 0.5 documentation

Method Summary
`boolean` | `absolute(int itempos)`
`void` | `afterLast()`
`void` | `beforeFirst()`
`void` | `close()`
`int` | `count()`
`boolean` | `first()`
`XQItem` | `getItem()`
`int` | `getPosition()`
`javax.xml.stream.XMLStreamReader` | `getSequenceAsStream()`
`String` | `getSequenceAsString(Properties props)`
`boolean` | `isAfterLast()`
`boolean` | `isBeforeFirst()`
`boolean` | `isClosed()`
`boolean` | `isFirst()`
`boolean` | `isLast()`
`boolean` | `isOnItem()`
`boolean` | `isScrollable()`
`boolean` | `last()`
`boolean` | `next()`
`boolean` | `previous()`
`boolean` | `relative(int itempos)`
`void` | `writeSequence(OutputStream os, Properties props)`
`void` | `writeSequence(Writer ow, Properties props)`
`void` | `writeSequenceToSAX(ContentHandler saxhdlr)`

Methods inherited from interface net.sf.saxon.javax.xml.xquery.XQItemAccessor
`getAtomicValue, getBoolean, getByte, getDouble, getFloat, getInt, getItemAsStream, getItemAsString, getItemType, getLong, getNode, getNodeUri, getObject, getObject, getShort, instanceOf, writeItem, writeItem, writeItemToSAX`

Method Detail

### absolute

    boolean absolute(int itempos)
                     throws XQException

  Throws:
    `XQException`

### afterLast

    void afterLast()
                   throws XQException

  Throws:
    `XQException`

### beforeFirst

    void beforeFirst()
                     throws XQException

  Throws:
    `XQException`

### close

    void close()
               throws XQException

  Throws:
    `XQException`

### count

    int count()
              throws XQException

  Throws:
    `XQException`

### first

    boolean first()
                  throws XQException

  Throws:
    `XQException`

### getItem

    XQItem getItem()
                   throws XQException

  Throws:
    `XQException`

### getPosition

    int getPosition()
                    throws XQException

  Throws:
    `XQException`

### getSequenceAsStream

    javax.xml.stream.XMLStreamReader getSequenceAsStream()
                                                         throws XQException

  Throws:
    `XQException`

### getSequenceAsString

    String getSequenceAsString(Properties props)
                               throws XQException

  Throws:
    `XQException`

### isAfterLast

    boolean isAfterLast()
                        throws XQException

  Throws:
    `XQException`

### isBeforeFirst

    boolean isBeforeFirst()
                          throws XQException

  Throws:
    `XQException`

### isClosed

    boolean isClosed()

### isFirst

    boolean isFirst()
                    throws XQException

  Throws:
    `XQException`

### isLast

    boolean isLast()
                   throws XQException

  Throws:
    `XQException`

### isOnItem

    boolean isOnItem()
                     throws XQException

  Throws:
    `XQException`

### isScrollable

    boolean isScrollable()
                         throws XQException

  Throws:
    `XQException`

### last

    boolean last()
                 throws XQException

  Throws:
    `XQException`

### next

    boolean next()
                 throws XQException

  Throws:
    `XQException`

### previous

    boolean previous()
                     throws XQException

  Throws:
    `XQException`

### relative

    boolean relative(int itempos)
                     throws XQException

  Throws:
    `XQException`

### writeSequence

    void writeSequence(OutputStream os,
                       Properties props)
                       throws XQException

  Throws:
    `XQException`

### writeSequence

    void writeSequence(Writer ow,
                       Properties props)
                       throws XQException

  Throws:
    `XQException`

### writeSequenceToSAX

    void writeSequenceToSAX(ContentHandler saxhdlr)
                            throws XQException

  Throws:
    `XQException`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.